<?

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';
only_reg();

//Полная очистка уведомлений
if (isset($_GET['delete']) && $_GET['delete']=='all'){
if (isset($user)){
mysql_query("DELETE FROM `notification` WHERE `id_user` = '$user[id]'");
$_SESSION['message'] = 'Уведомления очищены';
header("Location: ?");
exit;
}
}
//Удаление уведомления
if (isset($_GET['del'])) {
if (isset($user)){
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `notification`  WHERE `id_user` = '$user[id]' AND `id` = '".intval($_GET['del'])."'"),0)==1){
mysql_query("DELETE FROM `notification` WHERE `id_user` = '$user[id]' AND `id` = '".intval($_GET['del'])."' LIMIT 1");
$_SESSION['message'] = 'Уведомление удалено';
header("Location: ?komm&".intval($_GET['page'])."");
exit;
}
}
}
$set['title']='Действия';
include_once '../../sys/inc/thead.php';
title();
err();
aut();

//Счетчики панели
$k_notif = mysql_result(mysql_query("SELECT COUNT(`read`) FROM `notification` WHERE `id_user` = '$user[id]' AND `read` = '0'"), 0); // Уведомления
if ($k_notif > 0)$k_notif = '<font color=red>('.$k_notif.')</font>';
else $k_notif = null;

$discuss = mysql_result(mysql_query("SELECT COUNT(`count`) FROM `discussions` WHERE `id_user` = '$user[id]' AND `count` > '0' "),0); // Обсуждения
if ($discuss > 0)$discuss = '<font color=red>('.$discuss.')</font>';
else $discuss = null;

$lenta = mysql_result(mysql_query("SELECT COUNT(`read`) FROM `tape` WHERE `id_user` = '$user[id]' AND `read` = '0' "),0); // Лента
if ($lenta > 0)$lenta = '<font color=red>('.$lenta.')</font>';
else $lenta = null;

//Список уведомлений
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `notification`  WHERE `id_user` = '$user[id]' "),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

$q=mysql_query("SELECT * FROM `notification` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
//Если нет уведомлений
if ($k_post==0) {
echo '<div class="block"><center><p><img width="80" src="/img/insta.png"></p> Нет уведомлений</center></div>';
}
//Если есть
while ($post = mysql_fetch_assoc($q)){

$type = $post['type']; //Тип уведомления
$avtor = get_user($post['avtor']); //От кого уведомление
//Если не прочитано	
if ($post['read']==0){
$s1 = "<font color='red'>";
$s2 = "</font>";
}else{
$s1 = null;
$s2 = null;
}

//Значение переменной $name для определенного типа сообщения
if ($type == 'ok_gift') // Принимаем подарок
{	
$name = 'Принял'.($avtor['pol'] == 1 ? "" : "а") . ' ваш подарок ';
}
elseif ($type == 'no_gift') // Отказ от подарка
{	
$name = 'Отклонил'.($avtor['pol'] == 1 ? "" : "а") . ' ваш подарок ';
}
elseif ($type == 'new_gift') // Подарки новые
{	
$name = 'Сделал(-а) вам подарок ';
}
elseif ($type == 'files_komm' || $type == 'obmen_komm') // Файлы
{	
$name = 'Ответил'.($avtor['pol'] == 1 ? "" : "а") . ' вам в комментариях к файлу ';
}

elseif ($type == 'news_komm') // Новости 
{	
$name = ''.$lang['otv_vam_v_kom_news'].' ';
}
elseif ($type == 'status_komm') // Статусы
{	

$status = mysql_fetch_assoc(mysql_query("SELECT * FROM `status` WHERE `id` = '".$post['id_object']."' LIMIT 1"));
$name = 'Ответил'.($avtor['pol'] == 1 ? "" : "а") . ' вам в комментариях этого ';
}
elseif ($type == 'foto_komm') // Фото 
{	
$name = '';
}
elseif ($type == 'notes_komm') // Дневники
{	
$name = 'Ответил'.($avtor['pol'] == 1 ? "" : "а") . ' вам в комментариях к дневнику ';
}
elseif ($type == 'them_komm') // форум
{	
$name = 'Ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам в теме ';
}
elseif ($type == 'stena_komm') // Стена
{	
$stena = get_user($post['id_object']);
if ($stena['id'] == $user['id']) $sT = 'вашей';
elseif ($stena['id'] == $avtor['id']) $sT = 'своей';
else{ $sT = null; }
$name = 'Ответил' . ($avtor['pol'] == 1 ? "" : "а") . ' вам на '.$sT;
}
elseif ($type == 'mini_chat' || $type == 'adm_komm') // Гостевая, админ чат
{	
$name = ''.$lang['otv_vam_v'].' ';
}
elseif ($type == 'del_frend') // Уведомления о удаленных друзьях
{	
$name = 'Больше не является вашим другом';
}
elseif ($type == 'no_frend') // Уведомления о отклоненных заявках в друзья
{	
$name = 'Отказал' . ($avtor['pol'] == 1 ? "" : "а").' вам в дружбе';
}

elseif ($type == 'ok_frend') // Уведомления о принятых заявках в друзья
{	
$name = 'Стал(-а) вашим другом';
}
elseif ($type == 'otm_frend') // Уведомления о отмененных заявках в друзья
{	
$name = 'Отменил(-а) заявку в друзья';
}elseif($type=='stena_komm2'){
$name=' Прокомментировал'.($avtor['pol']==1 ? ' ' : 'a').' ваш <a href="/user/wall/komm.php?id='.$post['id_object'].'">пост</a> на стене';
}elseif($type=='like'){
//$name=' Тест ';
}

//Подарки
if ($type == 'new_gift' || $type == 'no_gift' || $type == 'ok_gift') {	
if ($type == 'new_gift'){
$id_gift =  mysql_fetch_assoc(mysql_query("SELECT id,id_gift FROM `gifts_user` WHERE `id` = '$post[id_object]' LIMIT 1"));
$gift =  mysql_fetch_assoc(mysql_query("SELECT * FROM `gift_list` WHERE `id` = '$id_gift[id_gift]' LIMIT 1"));
}else{
$gift =  mysql_fetch_assoc(mysql_query("SELECT * FROM `gift_list` WHERE `id` = '$post[id_object]' LIMIT 1"));
}
if ($avtor['id']){
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
echo '<span class="nick">'.user::nick($avtor['id']).'</span></br>';
echo ''.$name.'';
echo '<span class="time">' . vremja($post['time']) . '</span>';
echo '<span style="float:right;margin: -20px 0;">';
if ($type == 'new_gift')echo '<a href="/user/gift/gift.php?id=' . $id_gift['id'] . '"><img width="40" src="/style/gift/' . $gift['id'] . '.png"></a>';
else echo '<img width="40" src="/style/gift/' . $gift['id'] . '.png">';
echo '</span>';
echo '</td>';
echo '</table>';
} 
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
}
//Подарки end

//Друзья
if ($type == 'no_frend' || $type == 'ok_frend' || $type == 'del_frend' || $type == 'otm_frend') {	
if ($avtor['id']){
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
echo '<span class="nick">'.user::nick($avtor['id']).'</span></br>';
echo ''.$name.'';
echo '<span class="time">' . vremja($post['time']) . '</span>';
echo '</td>';
echo '</table>';
}else{
echo " Этот друг уже удален с сайта =)  $s1 ".vremja($post['time'])." $s2";
}
mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
} 
//Друзья end

//Фото
if ($type == 'foto_komm') {	
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
$foto = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = '".$post['id_object']."' LIMIT 1"));
if ($foto['id']){
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
echo '<span class="nick">'.user::nick($avtor['id']).'</span> ';
echo 'ответил(-а) вам в комментариях</br>К публикации ';
echo '<span class="time">' . vremja($post['time']) . '</span>';
echo '<span style="float:right;margin: -24px 0;">';
echo '<a href="/modules/photo/'.$foto[id_user].'/'.$foto[id_gallery].'/'.$foto[id].'/?page='.$pageEnd.'"><img style="width: 50px; height: 50px; object-fit: cover;" src="/modules/photo/foto/'.$foto[id].'jpg"></a>';
echo '</span>';
echo '</td>';
echo '</table>';
}else{
echo "Эта фотография уже удалена =(  $s1 ".vremja($post['time'])." $s2";
}
}
//Фото end

/*
===============================
Форум коментарии
===============================
*/	
if ($type == 'them_komm') 
{	
	$them=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_t` WHERE `id` = '".$post['id_object']."' LIMIT 1"));
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
if ($them['id']){
	echo status($avtor['id']) .  group($avtor['id']) . " <a href='/info.php?id=$avtor[id]'>$avtor[nick]</a>  " . medal($avtor['id']) . " " . online($avtor['id']) . " $name ";
	echo "<img src='/style/themes/$set[set_them]/forum/14/them_$them[up]$them[close].png' alt='*' /> ";
	echo " <a href='/forum/$them[id_forum]/$them[id_razdel]/$them[id]/?page=$pageEnd'>" . htmlspecialchars($them['name']) . "</a>  $s1 ".vremja($post['time'])." $s2";
} else {
	echo " Эта тема уже удалена =(  $s1 ".vremja($post['time'])." $s2";
}
	echo "<div style='text-align:right;'><a href='?komm&amp;del=$post[id]&amp;page=$page'><img src='/style/icons/delete.gif' alt='*' /></a></div>";
}

//Стена
if ($type == 'stena_komm'){
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
//Вывод дополнительного меню
echo '<a class="toggle-menu-act" onclick="UI.toggleMenu(this);"><span></span></a>';
echo '<div class="toggle-menu">';
echo '<div class="toggle-menu-arrow"><span></span></div>';
echo '<ul class="toggle-menu-block">';
echo '<a href="?komm&amp;del='.$post[id].'&amp;page='.$page.'">'.$lang['del'].'</a>';
echo '</ul>';
echo '</div>';
echo '<span class="nick">'.user::nick($avtor['id']).'</span>';
echo '<span class="time">' . vremja($post['time']) . '</span>';
echo '<div class="block_msg">';
echo ''.$name.'';
echo '<a href="/user/profil.php?id='.$stena[id].'&amp;page='.$pageEnd.'">стене</a> '. ($sT == null ? ''.$stena[nick].'' : '').'';
echo '</div>';
echo '</td>';
echo '</table>';
}
if($type=='stena_komm2'){
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
//Вывод дополнительного меню
echo '<a class="toggle-menu-act" onclick="UI.toggleMenu(this);"><span></span></a>';
echo '<div class="toggle-menu">';
echo '<div class="toggle-menu-arrow"><span></span></div>';
echo '<ul class="toggle-menu-block">';
echo '<a href="?komm&amp;del='.$post[id].'&amp;page='.$page.'">'.$lang['del'].'</a>';
echo '</ul>';
echo '</div>';
echo '<span class="nick">'.user::nick($avtor['id']).'</span>';
echo '<span class="time">' . vremja($post['time']) . '</span>';
echo '<div class="block_msg">';
echo ''.$name.'';
echo '</div>';
echo '</td>';
echo '</table>';
}
if($type=='stena'){
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
//Вывод дополнительного меню
echo '<a class="toggle-menu-act" onclick="UI.toggleMenu(this);"><span></span></a>';
echo '<div class="toggle-menu">';
echo '<div class="toggle-menu-arrow"><span></span></div>';
echo '<ul class="toggle-menu-block">';
echo '<a href="?komm&amp;del='.$post[id].'&amp;page='.$page.'">'.$lang['del'].'</a>';
echo '</ul>';
echo '</div>';
echo '<span class="nick">'.user::nick($avtor['id']).'</span>';
echo '<span class="time">' . vremja($post['time']) . '</span>';
echo '<div class="block_msg">';
echo ''.$lang['nap_vam_stena'].'';
echo '</div>';
echo '</td>';
echo '</table>';
}
//Стена end

//Новости
if ($type == 'news_komm'){
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
$news = mysql_fetch_assoc(mysql_query("SELECT * FROM `news` WHERE `id` = '".$post['id_object']."' LIMIT 1"));
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
//Вывод дополнительного меню
echo '<a class="toggle-menu-act" onclick="UI.toggleMenu(this);"><span></span></a>';
echo '<div class="toggle-menu">';
echo '<div class="toggle-menu-arrow"><span></span></div>';
echo '<ul class="toggle-menu-block">';
echo '<a href="?komm&amp;del='.$post[id].'&amp;page='.$page.'">'.$lang['del'].'</a>';
echo '</ul>';
echo '</div>';
echo '<span class="nick">'.user::nick($avtor['id']).'</span>';
echo '<span class="time">' . vremja($post['time']) . '</span>';
echo '<div class="block_msg">';
echo ''.$name.'';
echo '<a href="/modules/news/news.php?id='.$news[id].'&amp;page='.$pageEnd.'">'.htmlspecialchars($news['title']).'</a>';
echo '</div>';
echo '</td>';
echo '</table>';
}
//Новости end

# Лайки
if($type=='like'){
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
echo '<span class="nick">'.user::nick($avtor['id']).'</span>';
echo '';
echo 'поставил(-а)</br>Вашему фото "Нравится". ';
echo '<span class="time">' . vremja($post['time']) . '</span>';
$photo =  mysql_fetch_assoc(mysql_query("SELECT id FROM `gallery_foto` WHERE `id` = '$post[id_object]' LIMIT 1"));
$photo =  mysql_fetch_assoc(mysql_query("SELECT id FROM `gallery_foto` WHERE `id` = '$post[all_type]' LIMIT 1"));
echo '<span style="float:right;margin: -24px 0;"><a href="/modules/photo/'.$user[id].'/'.$post['all_type'].'/'.$post['id_object'].'/"><img style="width: 50px; height: 50px; object-fit: cover;" src="/modules/photo/foto/'.$post['id_object'].'jpg"></a></span>';
echo '</td>';
echo '</table>';
}
# Лайки end

# Комментарии фото
if($type=='photo_kom'){
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
echo '<span class="nick">'.user::nick($avtor['id']).'</span>';
echo '';
echo 'прокомментировал(-а)</br>Вашу публикацию. ';
echo '<span class="time">' . vremja($post['time']) . '</span>';
$photo =  mysql_fetch_assoc(mysql_query("SELECT id FROM `gallery_foto` WHERE `id` = '$post[id_object]' LIMIT 1"));
$photo =  mysql_fetch_assoc(mysql_query("SELECT id FROM `gallery_foto` WHERE `id` = '$post[all_type]' LIMIT 1"));
echo '<span style="float:right;margin: -24px 0;"><a href="/modules/photo/'.$user[id].'/'.$post['all_type'].'/'.$post['id_object'].'/"><img style="width: 50px; height: 50px; object-fit: cover;" src="/modules/photo/foto/'.$post['id_object'].'jpg"></a></span>';
echo '</td>';
echo '</table>';
}
# Комментарии фото end

//Мини чат
if ($type == 'mini_chat'){
if ($post['read'] == 0) mysql_query("UPDATE `notification` SET `read` = '1' WHERE `id` = '$post[id]'");
if ($avtor['id']){
echo '<table class="block2">';
echo '<td class="block_avatar">';
echo ''.avatar($avtor['id']).'</a> <span class="avatar_icon">'.online($avtor['id']).'</span>';
echo '</td>';
echo '<td class="block_info">';
//Вывод дополнительного меню
echo '<a class="toggle-menu-act" onclick="UI.toggleMenu(this);"><span></span></a>';
echo '<div class="toggle-menu">';
echo '<div class="toggle-menu-arrow"><span></span></div>';
echo '<ul class="toggle-menu-block">';
echo '<a href="?komm&amp;del='.$post[id].'&amp;page='.$page.'">'.$lang['del'].'</a>';
echo '</ul>';
echo '</div>';
echo '<span class="nick">'.user::nick($avtor['id']).'</span>';
echo '<span class="time">' . vremja($post['time']) . '</span>';
echo '<div class="block_msg">';
echo ''.$name.'';
echo '<a href="/modules/mini_chat/?page='.$pageEnd.'">'.$lang['mini_chate'].'</a>';
echo '</div>';
echo '</td>';
echo '</table>';
}else{
echo 'Этот пользователь пользователь уже удален =(';
}
}
//Мини чат end

}

//Вывод страниц
if ($k_page>1)str('?',$k_page,$page); 

echo '<a class="link" href="?delete=all"><center><b><font color="#3897f0">Очистить список действий</font></b></center></a>';

include_once '../../sys/inc/tfoot.php';

?>